Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/AER/piControl_AER_CoupOceAtm_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/AER/piControl_AER_CoupOceAtm_TEST/config.card	(revision 6663)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/AER/piControl_AER_CoupOceAtm_TEST/config.card	(revision 6664)
@@ -21,6 +21,6 @@
 #D- Choice of ConfigType to define which namelist and namcouple
 #D- will be take for cycle couplage. 3 first letters need to be ESM
-#D- ESMCO2 - ESMCO2DMS - ESMCO2N2O
-ConfigType=ESMCO2DMS
+#D- ESMCO2 - ESMDMS - ESMN2O
+ConfigType=ESMDMS
 #============================
 #-- leap, noleap, 360d
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/GES/piControl_GES_CoupOceAtm_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/GES/piControl_GES_CoupOceAtm_TEST/config.card	(revision 6663)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/GES/piControl_GES_CoupOceAtm_TEST/config.card	(revision 6664)
@@ -19,5 +19,5 @@
 #D- Choice of experiment in EXPERIMENTS directory
 ExpType=IPSLESM/GES/piControl_GES_CoupOceAtm_TEST
-ConfigType=ESMCO2
+ConfigType=ESMN2O
 #============================
 #-- leap, noleap, 360d
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/inca.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/inca.driver	(revision 6663)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/inca.driver	(revision 6664)
@@ -403,4 +403,12 @@
     fi
 
+    #inca.def : choose  sflx_NAT.nc analyse (emission with multi sources or not) 
+    if [ ! X${inca_UserChoices_multi_sources_nat} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker inca.def multi_sources_nat ${inca_UserChoices_multi_sources_nat}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def multi_sources_nat n
+    fi
+
+    
     #inca.def : choose coupled model with Pisces
     if [ ! X${inca_UserChoices_CoupOceAtm} = X ]; then 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/lmdz.driver	(revision 6663)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/lmdz.driver	(revision 6664)
@@ -367,5 +367,5 @@
     fi
 
-    if   [ X${config_ListOfComponents_CHM} = Xinca ] && [ X${ConfigType:0:3} = XESM ] ; then
+    if   [ X${config_ListOfComponents_CHM} = Xinca ] && [ X${ConfigType:0:6} = XESMCO2 ] ; then
 	echo "ESM config, with INCA and CO2i, set type_trac=inco in run.def"
 	IGCM_comp_modifyDefFile blocker run.def type_trac inco
@@ -375,5 +375,4 @@
 	echo 'default hadv=10 vadv=10 phases=g type=tracer parent=air' >> tracer.def
 	echo 'CO2' >> tracer.def
-
     elif [ X${config_ListOfComponents_CHM} = Xinca ] ; then
 	echo "Activate coupling to INCA, set type_trac=inca in run.def"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/inca.def
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/inca.def	(revision 6663)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/inca.def	(revision 6664)
@@ -25,5 +25,7 @@
 flag_plane=_AUTO_
 #choose which time interpolation you want to interpolate sflx file. ( 0 - 1 - 2) (no interpolation / point to point interpolation / Sheng & Zwiers interpolation) 
-emi_interp_time=_AUTO_
+emi_interp_time=_AUTO_: DEFAULT=1
+#activate reading of sflx_NAT.nc file by year and with separate sources (oce, land, misc) for emissions
+multi_sources_nat=_AUTO_: DEFAULT=n
 #activate the flag cmip_xml if you are running a CMIP experiment
 cmip_xml=_AUTO_: DEFAULT =n
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/namcouple_ESMDMS_ORCA1xLMD144142
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/namcouple_ESMDMS_ORCA1xLMD144142	(revision 6664)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/namcouple_ESMDMS_ORCA1xLMD144142	(revision 6664)
@@ -0,0 +1,440 @@
+###############################################################################
+#
+#      Input file for OASIS3
+# 
+#      This version is for use with IPSL_CM4_v1 
+#
+#      The file will be edited at runtime to update it for
+#         - the initial date of the run
+#
+###############################################################################
+#  
+#      Input delimiters have to occupy position 1 to 9 !
+#      No blank lines allowed !
+#      Length of input lines <= 80 !
+#
+###############################################################################
+#
+# NFIELDS : total number of fields being exchanged.
+#
+ $NFIELDS
+            28
+ $END
+###############################################################################
+#
+# NBMODEL : number of models and their names (CHAR*6).
+#
+ $NBMODEL
+  2  LMDZ oceanx
+ $END
+###############################################################################
+# 
+# RUNTIME: total simulated time for the actual run in seconds (<I8)
+#
+ $RUNTIME
+  <total_time>
+ $END
+###############################################################################
+#
+# NLOGPRT: printing level in debug file : 
+#
+ $NLOGPRT
+   0 <lucia_ok>
+ $END
+# 
+###############################################################################
+ $STRINGS
+###############################################################################
+#
+#                      OCEAN  --->>>  ATMOS
+#                      --------------------
+# Field 1 : Weighted sea surface temperature (o->a 1)
+# 
+O_SSTSST  SISUTESW 1 <freq_coupling>  2  sstoc.nc  <output_mode> 
+362 332 144 143 torc  tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+# LOCTRANS: AVERAGE to average value over coupling period
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Mozaic: 1) mapping filename 2) connected unit 3) dataset rank 4) Maximum
+#         number of overlapped neighbors
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 2 : Sea ice extent  (o->a 2)
+#
+OIceFrc SIICECOV 44 <freq_coupling>  2  sstoc.nc <output_mode>
+362 332 144 143 torc  tlmd   LAG=<lag_oce>
+P  2 P  0
+#
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#
+############################################################################
+#
+# Field 3 : Weighted Sea Ice Temperature (o->a 3)
+#
+O_TepIce  SIICTEMW 34 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc  tlmd   LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# 
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 4 : Weighted Sea ice albedo (o->a 4)
+#
+O_AlbIce  SIICEALW 17 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc  tlmd  LAG=<lag_oce>  
+P  2 P  0
+#
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#
+############################################################################
+#
+# Field 5 : Current surface (o->a 5)
+O_OCurx1 CURRENTX 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#
+############################################################################
+#
+# Field 6 : Current surface (o->a 6)
+O_OCury1 CURRENTY 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#  
+############################################################################
+#
+# Field 7 : Current surface (o->a 7)
+O_OCurz1 CURRENTZ 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+#                     OCEAN   --->>>   INCA
+#                     ---------------------
+###########################################################################
+#
+# Field 8 : Ocean DMS flux  (o->a 8)
+O_DMSFLX SIDMSFLX 39  <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc  tlmd  LAG=<lag_oce>
+P  30 P  3
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field
+#
+#
+############################################################################
+#
+#                      ATMOSPHERE  --->>>  OCEAN
+#                      -------------------------
+############################################################################   
+#
+# Field 9 : wind stress along X axis (a->o 1)
+#
+COTAUXXU O_OTaux1 23 <freq_coupling>  1  flxat.nc   <output_mode>
+144 143 362 332 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 10 : stress along Y axis (a->o 2)
+#
+COTAUYYU O_OTauy1 23 <freq_coupling>  1  flxat.nc  <output_mode>
+144 143 362 332 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 11 :wind stress along Z axis (a->o 3)
+#
+COTAUZZU O_OTauz1 23 <freq_coupling>  1  flxat.nc  <output_mode>
+144 143 362 332 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 12 : wind stress along X axis 2 (a->o 4)
+#
+COTAUXXV O_OTaux2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    vorc  LAG=<lag_atm> 
+P  0 P  2
+SCRIPR
+# CHECKIN: indicate computation of global, land and sea field integrals.
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 13 : wind stress along Y axis 2 (a->o 5) 
+#
+COTAUYYV O_OTauy2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    vorc  LAG=<lag_atm>
+P  0 P  2
+SCRIPR
+# CHECKIN: indicate computation of global, land and sea field integrals.
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 14 :  wind stress along Z axis 2 (a->o 6) 
+#
+COTAUZZV O_OTauz2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    vorc  LAG=<lag_atm>
+P  0 P  2
+SCRIPR
+# CHECKIN: indicate computation of global, land and sea field integrals.
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 15 :  wind speed 10m (a->o 7) 
+#
+COWINDSP O_Wind10  56 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+# 
+#########################################################################
+#
+# Field 16 : Total rain (a->o 8)
+#
+COTOTRAI OTotRain 26 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 17 :  Total snow (a->o 9)
+#
+COTOTSNO  OTotSnow 28 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 18 : Total evap (a->o 10)
+#
+COTOTEVA  OTotEvap 25 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 19 : Evaporation Ice  (a->o 11)
+#
+COICEVAP OIceEvap 41 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 20 : Total solar heat flux (a->o 12)
+#
+COQSRMIX O_QsrMix  7 <freq_coupling> 1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method or mozaic parameters
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 21 : Total Non solar heat flux (a->o 13)
+#
+COQNSMIX O_QnsMix 6 <freq_coupling>  1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc   LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 22 : solar heat flux on ice (a->o 14)
+#
+COSHFICE O_QsrIce  7 <freq_coupling> 1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method or mozaic parameters
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 23 : Non solar heat flux on ice (a->o 15)
+#
+CONSFICE O_QnsIce 6 <freq_coupling>  1  flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 24 : Non solar heat flux derivative (a->o 16)
+#
+CODFLXDT O_dQnsdT  35 <freq_coupling>  1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 25 : iceberg calving north (a->o 17)
+#
+COCALVIN OCalving  36 <freq_coupling_roff_calv>  2  flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC_calving_nosouth.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 26 : iceberg melting (a->o 17)
+#
+COCALVIN OIceberg  36 <freq_coupling_roff_calv>  3  icbrg.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING BLASNEW
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC_calving_iceberg.nc dst
+0.5 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#########################################################################
+#
+# Field 27 : ice shelf melting (a->o 17)
+#
+COCALVIN OIcshelf  36 <freq_coupling_roff_calv>  3  icshf.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING BLASNEW
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC_calving_iceshelf.nc dst
+0.5 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+##########################################################################
+#
+# Field 28 : liquid run-off (river + direct)  (a->o 18)
+#
+COLIQRUN  O_Runoff 32 <freq_coupling_roff_calv>  4  flxat.nc   <output_mode>
+144 143 362 332 aone  torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING CONSERV BLASNEW
+AVERAGE
+# Interpolation method ou parametres mozaic
+# weights convert from kg/s to kg/m^2/s
+rmp_tlmd_to_torc_MOSAIC_rivflu.nc dst
+# CONSERV
+GLOBAL bfb
+# change units from m/s to kg/s
+1000.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+ $END
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/namelist_ESMDMS_ORCA1_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/namelist_ESMDMS_ORCA1_cfg	(revision 6664)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/namelist_ESMDMS_ORCA1_cfg	(revision 6664)
@@ -0,0 +1,425 @@
+
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/OPA  Configuration namelist : used to overwrite defaults values defined in SHARED/namelist_ref
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!
+!-----------------------------------------------------------------------
+&namrun        !   parameters of the run
+!-----------------------------------------------------------------------
+   cn_exp      = _AUTOBLOCKER_    !  Experience name
+   nn_it000    = _AUTOBLOCKER_    !  First time step
+   nn_itend    = _AUTOBLOCKER_    !  Last  time step
+   nn_date0    = _AUTOBLOCKER_    !  Date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
+   nn_leapy    = _AUTOBLOCKER_    !  Leap year calendar (1) or not (0)
+   ln_rstart   = _AUTOBLOCKER_    !  start from rest (F) or from a restart file (T)
+   ln_rstart_ts = _AUTOBLOCKER_   !  start from rest for current only (F) or from a restart file (T)
+   nn_rstctl   = _AUTOBLOCKER_    !  Restart control => activated only if ln_rstart = T
+                           !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+                           !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+                           !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
+   cn_ocerst_in  = "restartopa"   !  Suffix of ocean restart name (input)
+   cn_ocerst_indir = "."       !  directory from which to read input ocean restarts
+   cn_ocerst_out = "restart"      !  Suffix of ocean restart name (output)
+   cn_ocerst_outdir = "."      !  directory in which to write output ocean restarts
+   nn_istate   =       0   !  Output the initial state (1) or not (0)
+   nn_stock    =  _AUTOBLOCKER_   !  Frequency of creation of a restart file (modulo referenced to 1)
+   nn_write    =    5475   !  Requency of write in the output file   (modulo referenced to nn_it000)
+   ln_mskland  = .true.    !  Masks land points in NetCDF outputs
+   ln_mskutil  = .true.    !  Outputs without halos
+   ln_cfmeta   = .true.    !  output additional data to netCDF files required for compliance with the CF metadata standard
+/
+!-----------------------------------------------------------------------
+&namcfg        !   parameters of the configuration
+!-----------------------------------------------------------------------
+   cp_cfg      =  "orca"               !  name of the configuration
+   jp_cfg      =       1               !  resolution of the configuration
+   jpidta      =     362               !  1st lateral dimension ( >= jpi )
+   jpjdta      =     332               !  2nd    "         "    ( >= jpj )
+   jpkdta      =      75               !  number of levels      ( >= jpk )
+   jpiglo      =     362               !  1st dimension of global domain --> i =jpidta
+   jpjglo      =     332               !  2nd    -                  -    --> j  =jpjdta
+   jperio      =       6               !  lateral cond. type (between 0 and 6)
+/
+!-----------------------------------------------------------------------
+&namzgr        !   vertical coordinate
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzgr_sco    !   s-coordinate or hybrid z-s-coordinate
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdom        !   space and time domain (bathymetry, mesh, timestep)
+!-----------------------------------------------------------------------
+   nn_closea    =   1      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
+   ln_clodyn    =  _AUTOBLOCKER_      !  
+   !
+   jphgr_msh   =       0               !  type of horizontal mesh
+   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
+   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
+   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
+   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
+   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
+   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
+   ppsur       =   -3958.951371276829  !  ORCA r4, r2 and r05 coefficients
+   ppa0        =     103.9530096000000 ! (default coefficients)
+   ppa1        =       2.415951269000000   !
+   ppkth       =      15.35101370000000    !
+   ppacr       =       7.0             !
+   ppdzmin     =  999999.0             !  Minimum vertical spacing
+   pphmax      =  999999.0             !  Maximum depth
+   ppa2        =     100.7609285000000 !  Double tanh function parameters
+   ppkth2      =      48.02989372000000    !
+   ppacr2      =      13.00000000000   !
+   rn_rdt      = 2700.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_hmin     =   20.
+   nn_msh      = _AUTO_    !  AUTO - Create (=1) a mesh file or not (=0)
+/
+!-----------------------------------------------------------------------
+&namsplit       
+!----------------------------------------------------------------------- 
+   ln_bt_fw      =    .FALSE.          !  leap-frog integration of barotropic equations
+   ln_bt_av      =    .TRUE.           !  Time filtering of barotropic variables
+   ln_bt_nn_auto =    .TRUE.           !  Set nn_baro automatically to be just below
+                                       !  a user defined maximum courant number (rn_bt_cmax)
+   nn_baro       =    30               !  Number of iterations of barotropic mode
+                                       !  during rn_rdt seconds. Only used if ln_bt_nn_auto=F
+   rn_bt_cmax    =    0.8              !  Maximum courant number allowed if ln_bt_nn_auto=T 
+   nn_bt_flt     =    1                !  Time filter choice
+                                       !  = 0 None
+                                       !  = 1 Boxcar over   nn_baro barotropic steps
+                                       !  = 2 Boxcar over 2*nn_baro     "        
+/
+!-----------------------------------------------------------------------
+&namcrs        !   Grid coarsening for dynamics output and/or
+               !   passive tracer coarsened online simulations
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtsd    !   data : Temperature  & Salinity
+!-----------------------------------------------------------------------
+   ln_tsd_tradmp = .false.  !  damping of ocean T & S toward T &S input data (T) or not (F)
+   sn_tem  = 'conservative_temperature_WOA13_decav_Reg1L75_clim', -1 ,'votemper' , .true. , .true. , 'yearly' , 'weights_3D_WOA13d1_2_eorca1_bilinear.nc'  ,   ''    ,    ''
+   sn_sal  = 'absolute_salinity_WOA13_decav_Reg1L75_clim'       , -1 ,'vosaline' , .true. , .true. , 'yearly' , 'weights_3D_WOA13d1_2_eorca1_bilinear.nc'  ,   ''    ,    ''
+/
+!-----------------------------------------------------------------------
+&namsbc        !   Surface Boundary Condition (surface module)
+!-----------------------------------------------------------------------
+   nn_fsbc     =  2        !  frequency of surface boundary condition computation
+                           !     (also = the frequency of sea-ice model call)
+   ln_blk_core = .false.   !  CORE bulk formulation                     (T => fill namsbc_core)
+   ln_cpl      = .true.    !  atmosphere coupled   formulation          ( requires key_oasis3 )
+   nn_limflx =   2         !  LIM3 Multi-category heat flux formulation (use -1 if LIM3 is not used)
+                           !  =-1  Use per-category fluxes, bypass redistributor, forced mode only, not yet implemented coupled
+                           !  = 0  Average per-category fluxes (forced and coupled mode)
+                           !  = 1  Average and redistribute per-category fluxes, forced mode only, not yet implemented coupled
+                           !  = 2  Redistribute a single flux over categories (coupled mode only)
+   nn_ice_embd = 1         !  AUTO - 
+                           !  =0 levitating ice (no mass exchange, concentration/dilution effect)
+                           !  =1 levitating ice with mass and salt exchange but no presure effect
+                           !  =2 embedded sea-ice (full salt and mass exchanges and pressure)
+   ln_rnf      = .false.   !  runoffs                                   (T => fill namsbc_rnf)
+   ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
+   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
+   nn_isf      = 3         !  ice shelf melting/freezing                (/=0 => fill namsbc_isf)
+                           !  3 = rnf file for isf
+!-----------------------------------------------------------------------
+&namsbc_core   !   namsbc_core  CORE bulk formulae
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtra_qsr    !   penetrative solar radiation
+!-----------------------------------------------------------------------
+   sn_chl      ='merged_ESACCI_BIOMER4V1R1_CHL_REG05',  -1  , 'CHLA' , .true. , .true. , 'yearly' , 'weights_reg05_2_eorca1_bilinear.nc' , '' , ''
+   ln_traqsr   = .true.    !  Light penetration (T) or not (F)
+   ln_qsr_rgb  = .false.    !  RGB (Red-Green-Blue) light penetration
+   ln_qsr_2bd  = .false.   !  2 bands              light penetration
+   ln_qsr_bio  = .true.   !  bio-model light penetration
+/
+!-----------------------------------------------------------------------
+&namsbc_rnf    !   runoffs namelist surface boundary condition
+!-----------------------------------------------------------------------
+!              !  file name           ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !                      !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_rnf      = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',        -1         , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_i_rnf    = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',        -1         , 'Icb_flux',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_cnf      = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',         0         , 'socoeff' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
+   sn_s_rnf    = 'runoffs'                         ,        24         , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_t_rnf    = 'runoffs'                         ,        24         , 'rotemper',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_dep_rnf  = 'runoffs_eORCA1.0_depths.nc'      ,         0         , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
+
+   ln_rnf_icb   = .false.    !  read in iceberg flux
+   ln_rnf_mouth = .false.    !  specific treatment at rivers mouths
+   ln_rnf_depth = .true.     !  read in depth information for runoff
+   ln_rnf_tem   = .false.    !  read in temperature information for runoff
+   ln_rnf_sal   = .false.    !  read in salinity information for runoff
+   ln_rnf_depth_ini = .false.!  compute depth at initialisation from runoff file
+   rn_rnf_max   = 0.05       !  max value of the runoff climatology over global domain ( if ln_rnf_depth_ini = .true )
+   rn_dep_max = 150.         !  depth over which runoffs is spread ( ln_rnf_depth_ini = .true )
+   nn_rnf_depth_file =  _AUTO_   ! create (=1) a runoff depth file or not (=0)
+/
+!-----------------------------------------------------------------------
+&namsbc_isf    !  Top boundary layer (ISF)
+!-----------------------------------------------------------------------
+!              ! file name ! frequency (hours) ! variable ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !           !  (if <0  months)  !   name   !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+!              !
+   sn_rnfisf     = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc' ,   -12      ,'sornfisf',    .false.      , .true.  , 'yearly'  ,  ''      ,   ''
+   sn_depmax_isf = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc' ,   -12      ,'sodepmax_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+   sn_depmin_isf = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc' ,   -12      ,'sodepmin_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+/
+!-----------------------------------------------------------------------
+&namsbc_apr    !   Atmospheric pressure used as ocean forcing or in bulk
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_ssr    !   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_sss      = 'sss_absolute_salinity_WOA13_decav_Reg1L75_clim', -1. , 'sosaline', .true. , .true. , 'yearly' , 'weights_WOA13d1_2_eorca1_bilinear.nc' , ''
+/
+!-----------------------------------------------------------------------
+&namsbc_alb    !   albedo parameters
+!-----------------------------------------------------------------------
+   nn_ice_alb   =    1   !  parameterization of ice/snow albedo
+                         !     0: Shine & Henderson-Sellers (JGR 1985), giving clear-sky albedo
+                         !     1: "home made" based on Brandt et al. (JClim 2005) and Grenfell & Perovich (JGR 2004),
+                         !        giving cloud-sky albedo
+   rn_alb_sdry  =  0.87  !  dry snow albedo         : 0.80 (nn_ice_alb = 0); 0.85 (nn_ice_alb = 1); obs 0.85-0.87 (cloud-sky)
+   rn_alb_smlt  =  0.82  !  melting snow albedo     : 0.65 ( '' )          ; 0.75 ( '' )          ; obs 0.72-0.82 ( '' )
+   rn_alb_idry  =  0.65  !  dry ice albedo          : 0.72 ( '' )          ; 0.60 ( '' )          ; obs 0.54-0.65 ( '' )
+   rn_alb_imlt  =  0.58  !  bare puddled ice albedo : 0.53 ( '' )          ; 0.50 ( '' )          ; obs 0.49-0.58 ( '' )
+/
+!-----------------------------------------------------------------------
+&namsbc_cpl    !   coupling parameters
+!-----------------------------------------------------------------------
+!                    !     description       !  multiple  !    vector   !      vector          ! vector !
+!                    !                       ! categories !  reference  !    orientation       ! grids  !
+! send
+sn_snd_temp   =       'weighted oce and ice' ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_thick  =       'none'                 ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_crt    =       'mixed oce-ice'        ,    'no'    , 'cartesian' , 'eastward-northward' ,  'T'
+sn_snd_co2    =       'none'                 ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_dms    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''
+! receive
+sn_rcv_w10m   =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_taumod =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_tau    =       'mixed oce-ice'        ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'
+sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_qsr    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_qns    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_co2    =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_icb    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_isf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+
+/
+!-----------------------------------------------------------------------
+&namberg       !   iceberg parameters
+!-----------------------------------------------------------------------
+      ln_icebergs              = .false.
+      ln_bergdia               = .false.              ! Calculate budgets
+      nn_verbose_level         = 0                    ! Turn on more verbose output if level > 0
+      nn_verbose_write         = 120                  ! Timesteps between verbose messages
+      nn_sample_rate           = 1                    ! Timesteps between sampling for trajectory storage
+                                                      ! Initial mass required for an iceberg of each class
+      rn_initial_mass          = 8.8e7, 4.1e8, 3.3e9, 1.8e10, 3.8e10, 7.5e10, 1.2e11, 2.2e11, 3.9e11, 7.4e11
+                                                      ! Proportion of calving mass to apportion to each class  
+      rn_distribution          = 0.24, 0.12, 0.15, 0.18, 0.12, 0.07, 0.03, 0.03, 0.03, 0.02
+                                                      ! Ratio between effective and real iceberg mass (non-dim)
+                                                      ! i.e. number of icebergs represented at a point         
+      rn_mass_scaling          = 2000, 200, 50, 20, 10, 5, 2, 1, 1, 1
+                                                      ! thickness of newly calved bergs (m)
+      rn_initial_thickness     = 40., 67., 133., 175., 250., 250., 250., 250., 250., 250.
+      rn_rho_bergs             = 850.                 ! Density of icebergs
+      rn_LoW_ratio             = 1.5                  ! Initial ratio L/W for newly calved icebergs
+      ln_operator_splitting    = .true.               ! Use first order operator splitting for thermodynamics
+      rn_bits_erosion_fraction = 0.                   ! Fraction of erosion melt flux to divert to bergy bits
+      rn_sicn_shift            = 0.                   ! Shift of sea-ice concn in erosion flux (0<sicn_shift<1)
+      ln_passive_mode          = .false.              ! iceberg - ocean decoupling   
+      nn_test_icebergs         =   8                  ! Create test icebergs of this class (-1 = no)
+                                                      ! Put a test iceberg at each gridpoint in box (lon1,lon2,lat1,lat2)
+      !rn_test_box              = 108.0,  116.0, -66.0, -58.0
+      rn_test_box              = -180.0,  180.0,  70.0,  90.0     !
+      rn_speed_limit           = 0.                   ! CFL speed limit for a berg   
+
+!              ! file name ! frequency (hours) !   variable   ! time interp.   !  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !           !  (if <0  months)  !     name     !   (logical)    !  (T/F ) ! 'monthly' ! filename ! pairing  ! filename      !
+      sn_icb =  'calving' ,       -1           , 'calvingmask',  .true.        , .true.  , 'yearly'  , ''       , ''       , ''
+   
+      cn_dir = './' 
+/
+!-----------------------------------------------------------------------
+&namlbc        !   lateral momentum boundary condition
+!-----------------------------------------------------------------------
+   rn_shlat    =    0.0    !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
+/
+!-----------------------------------------------------------------------
+&namcla        !   cross land advection
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambfr        !   bottom friction
+!-----------------------------------------------------------------------
+   nn_bfr      =    2      !  type of bottom friction :   = 0 : free slip,  = 1 : linear friction
+/
+!-----------------------------------------------------------------------
+&nambbc        !   bottom temperature boundary condition
+!-----------------------------------------------------------------------
+   sn_qgh      ='Goutorbe_ghflux.nc',  -12.  , 'gh_flux'    ,   .false.     , .true. , 'yearly'  , 'weights_Goutorbe1_2_eorca1_bilinear.nc'       , ''       , ''
+   !
+   cn_dir      = './'      !  root directory for the location of the runoff files
+   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux
+/
+!-----------------------------------------------------------------------
+&nambbl        !   bottom boundary layer scheme
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nameos        !   ocean physical parameters
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtra_adv    !   advection scheme for tracer
+!-----------------------------------------------------------------------
+   ln_traadv_tvd    =  .true.   !  TVD scheme
+   ln_traadv_ubs    =  .false.  !  UBS scheme
+/
+!-----------------------------------------------------------------------
+&namtra_adv_mle !  mixed layer eddy parametrisation (Fox-Kemper param)
+!-----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------------------
+&namtra_ldf    !   lateral diffusion scheme for tracers
+!----------------------------------------------------------------------------------
+   ln_traldf_grif   =  .false.   !  griffies skew flux formulation       (require "key_ldfslp")
+   ln_traldf_gdia   =  .false.   !  griffies operator strfn diagnostics  (require "key_ldfslp")
+   ln_botmix_grif   =  .false.   !  griffies operator with lateral mixing on bottom (require "key_ldfslp")
+   rn_aht_0         =  1000.    !  horizontal eddy diffusivity for tracers [m2/s]
+   rn_aeiv_0        =  1000.    !  eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+/
+!-----------------------------------------------------------------------
+&namtra_dmp    !   tracer: T & S newtonian damping
+!-----------------------------------------------------------------------
+   ln_tradmp   =  .false.  !  add a damping termn (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namdyn_adv    !   formulation of the momentum advection
+!-----------------------------------------------------------------------
+   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)
+   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
+   ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme
+   nn_dynkeg     = 1       !  scheme for grad(KE): =0  C2  ; =1  Hollingsworth correction
+/
+!-----------------------------------------------------------------------
+&nam_vvl    !   vertical coordinate options
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_hpg    !   Hydrostatic pressure gradient option
+!-----------------------------------------------------------------------
+   ln_hpg_zps  = .false.   !  z-coordinate - partial steps (interpolation)
+   ln_hpg_sco  = .true.    !  s-coordinate (standard jacobian formulation)
+   !ln_hpg_isf  = .true.    !  s-coordinate (sco ) adapted to isf
+   ln_dynhpg_imp = .false. !  time stepping: semi-implicit time scheme  (T)
+                           !           centered      time scheme  (F)
+/
+!-----------------------------------------------------------------------
+&namdyn_ldf    !   lateral diffusion on momentum
+!-----------------------------------------------------------------------
+   rn_ahm_0_lap     = 20000.    !  horizontal laplacian eddy viscosity   [m2/s]
+/
+!-----------------------------------------------------------------------
+&namzdf        !   vertical physics
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
+!-----------------------------------------------------------------------
+  nn_etau     = 0         !  penetration of tke below the mixed layer (ML) due to internal & intertial waves
+                          !    = 0 no penetration
+                          !    = 1 add a tke source below the ML
+                          !    = 2 add a tke source just at the base of the ML
+                          !    = 3 as = 1 applied on HF part of the stress    ("key_oasis3")
+  nn_mxl0     = 2         ! type of scaling under sea-ice
+                          !    = 0 no scaling under sea-ice
+                          !    = 1 scaling with constant sea-ice thickness
+                          !    = 2  scaling with mean sea-ice thickness
+                          !    = 3  scaling with maximum sea-ice thickness
+  rn_hice    = 10.        ! max constant ice thickness value when scaling under sea-ice ( nn_mxl0=1)
+  ln_lc      = .true.     !  Langmuir cell parameterisation (Axell 2002)
+  rn_lc      =  0.20      !  coef. associated to Langmuir cells
+/
+!-----------------------------------------------------------------------
+&namzdf_ddm    !   double diffusive mixing parameterization             ("key_zdfddm")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_tmx    !   tidal mixing parameterization                        ("key_zdftmx")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_tmx_new    !   new tidal mixing parameterization                ("key_zdftmx_new")
+!-----------------------------------------------------------------------
+   nn_zpyc     = 2         !  pycnocline-intensified dissipation scales as N (=1) or N^2 (=2)
+   ln_mevar    = .true.    !  variable (T) or constant (F) mixing efficiency
+   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namsol        !   elliptic solver / island / free surface
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
+!-----------------------------------------------------------------------
+   ln_nnogather=  .true.   !
+   jpni        =   22      !  jpni   number of processors following i (set automatically if < 1)
+   jpnj        =   22      !  jpnj   number of processors following j (set automatically if < 1)
+   jpnij       =  360      !  jpnij  number of local domains (set automatically if < 1), 360 for eORCA1/IPSLCM6-LR
+/
+!-----------------------------------------------------------------------
+&namctl        !   Control prints & Benchmark
+!----------------------------------------------------------------------- 
+/
+!-----------------------------------------------------------------------
+&namptr       !   Poleward Transport Diagnostic
+!-----------------------------------------------------------------------
+   ln_diaptr  = .true.      !  Poleward heat and salt transport (T) or not (F)
+   ln_subbas  = .true.      !  Atlantic/Pacific/Indian basins computation (T) or not
+                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
+/
+!-----------------------------------------------------------------------
+&namhsb       !  Heat and salt budgets
+!-----------------------------------------------------------------------
+   ln_diahsb  = .true.  
+/
+!-----------------------------------------------------------------------
+&namdyn_nept  !   Neptune effect (simplified: lateral and vertical diffusions removed)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_vvl    !   vertical coordinate options
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_gls                !   GLS vertical diffusion                   ("key_zdfgls")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrd        !   diagnostics on dynamics and/or tracer trends
+!              !       and/or mixed-layer trends and/or barotropic vorticity
+!-----------------------------------------------------------------------
+   ln_tra_trd  = .true.   ! (T) 3D tracer trend output
+/
+!-----------------------------------------------------------------------
+&namsto       ! Stochastic parametrization of EOS
+!-----------------------------------------------------------------------
+/
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/compile_ipslcm6.sh
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/compile_ipslcm6.sh	(revision 6663)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/compile_ipslcm6.sh	(revision 6664)
@@ -22,8 +22,6 @@
 # Coupled with ocean biogeochemistry (y/n)
 oceanbio=y
-# Version ESM CO2: CO2 interactif ocean/atmosphere (y/n)
-esmco2=n
-# Version ESM AER : Aer interactif chemistry / atmosphere (y/n) 
-esmchem=n
+# Version ESM-CYCLE : coupling between INCA and PISCES (y/n)
+esmcycle=n
 # Also compile ce0l subprogram to LMDZ (y/n)
 ce0l=n
@@ -64,5 +62,4 @@
 ########################################################################
 # Usage of the script compile_ipslcm6.sh
-#
 ########################################################################
 
@@ -71,7 +68,5 @@
 
 Options: [LR / VLR / MR1 / MR025] Model resolution, choose only one. Default: LR.
-         [ESMCO2] Compile IPSLCM6 for CO2 interactif ocean/atmosphere.
-         [ESMCHEM] Compile IPSLCM6 for chemistry interactif on atmosphere
-         [ESMCYCLE] Compile IPSLCM6 for both interactive CO2 and chemistry, and transfer from PISCES to LMDZ and INCA.
+         [ESMCYCLE] Compile IPSLCM6 for interactive chemistry, and transfer from PISCES to LMDZ and INCA.
          [-full] Full recompilation of all components. This option can be added to all other options.
          [-cleannemo] Full recompilation of NEMO component  only.
@@ -79,33 +74,29 @@
 
 
-Example 1: Default compilation of IPSLCM6 for resoltion LR 
-          (Resolution atmos: 144x142x79, ocean: ORCA1)
+Example 1: Default compilation of IPSLCM6 for resolution LR.
+	  (Resolution atmos: 144x142x79, ocean: ORCA1)
 ./compile_ipslcm6.sh
 
-Example 2: Compilation of IPSLCM6 for resolution MR025
+Example 2: Compilation of IPSLCM6 for resolution MR025.
            (atmos: 256x256x79, ocean: ORCA025, NOPISCES)
 ./compile_ipslcm6.sh MR025
 
-Example 3: Compilation of IPSLCM6 for ESM CO2
-./compile_ipslcm6.sh ESMCO2 -cleannemo
-
-Example 4: Default resoltuion (LR) compiled in debug mode
+Example 3: Default resolution (LR) compiled in debug mode.
 ./compile_ipslcm6.sh -debug
 
-Example 5: Default compilation with full recompilation of all components. No clean is needed.
+Example 4: Default compilation with full recompilation of all components. No clean is needed.
 ./compile_ipslcm6.sh -full
 
-Example 6: Full recompilation of resolution MR05 in debug mode
+Example 5: Full recompilation of resolution MR025 in debug mode.
 ./compile_ipslcm6.sh MR025 -debug -full
 
-Example 7: choose radiative schema for LMDZ (oldrad/rrtm/ecrad). Default is rrtm
+Example 6: Choose radiative schema for LMDZ (oldrad/rrtm/ecrad). Default is rrtm.
 ./compile_ipslcm6.sh MR025 -rad ecrad
 
-Example 8: Compilation of IPSLCM6 for ESM with coupling between ATM / OCE  and  INCA chemistry AER
+Example 7: Compilation of IPSLCM6 for ESM with coupling between ATM/OCE and INCA chemistry AER.
 ./compile_ipslcm6.sh ESMCYCLE -chimie AER
 
-Example 9: Compilation of IPSLCM6 for ESM with INCA chemistry and choose the chemistry 
-./compile_ipslcm6.sh ESMCHEM -chimie GES
-
+Example 8: Compilation of IPSLCM6 for ESM with INCA chemistry and choose the chemistry, without coupling between INCA and PISCES.
+./compile_ipslcm6.sh -chimie GES
 
 end_help
@@ -115,7 +106,5 @@
 	"MR1")         resol_atm=256x256x79; resol_oce=ORCA1 ; icemodel=lim3; oceanbio=y; shift ;;
 	"MR025")       resol_atm=256x256x79; resol_oce=ORCA025 ; icemodel=lim3; oceanbio=n;   shift ;;
-	"ESMCO2")      esmco2=y;  shift ;; 
-	"ESMCHEM")     esmchem=y; shift ;; 
-	"ESMCYCLE")    esmco2=y; esmchem=y; shift ;;
+	"ESMCYCLE")    esmcycle=y;  shift ;;
 	"CE0L")        ce0l=y ; shift ;;
 	"-rad")        rad=$2; shift ; shift;;
@@ -140,5 +129,5 @@
 echo "Following options are set in current compiling:" >> $outfile
 echo "   resol_atm=${resol_atm}, resol_oce=${resol_oce}, icemodel=${icemodel}, oceanbio=${oceanbio}" >> $outfile 
-echo "   esmco2=${esmco2}, esmchem=${esmchem}, chemistry=${optchimie}" >> $outfile 
+echo "   esmcycle=${esmcycle}, chemistry=${optchimie}" >> $outfile 
 echo "   ce0l=${ce0l}" >> $outfile 
 echo "   optmode = $optmode, parallel = $parallel, fcm_arch = $fcm_arch " >> $outfile 
@@ -297,10 +286,6 @@
    addkeys="key_top key_pisces key_age key_cfc key_cpl_carbon_cycle key_gas key_oasis3"
    if [ ${oceanbio} == y ] ; then
-      if [ ${esmco2} == y ] ; then
-        if [ ${esmchem} == y ] ; then
-           delkeys="key_nosignedzero key_mpp_rep"
-        else
-           delkeys="key_nosignedzero key_mpp_rep"
-        fi
+      if [ ${esmcycle} == y ] ; then
+         delkeys="key_nosignedzero key_mpp_rep key_cpl_carbon_cycle"
       else
          delkeys="key_nosignedzero key_mpp_rep key_cpl_carbon_cycle key_gas"
@@ -352,5 +337,5 @@
 
 echo >> $outfile
-echo "Move nemo executable to modipsl/bin" >> $outfile
+echo "Move NEMO executable to modipsl/bin" >> $outfile
 echo ls -lrt $nemo_root/$cfg_wrk/BLD/bin   >> $outfile
 ls -lrt $nemo_root/$cfg_wrk/BLD/bin  >> $outfile
@@ -358,8 +343,6 @@
 
 if [ -f $nemo_root/$cfg_wrk/BLD/bin/nemo.exe ] ; then
-    if [ ${esmco2} == y ] && [ ${esmchem} == n ] ;  then 
-	mv $nemo_root/$cfg_wrk/BLD/bin/nemo.exe $modipsl/bin/opa.ESMCO2_${resol_oce}_${optmode}
-    elif [ ${esmco2} == y ] && [ ${esmchem} == y ] ;  then
-    mv $nemo_root/$cfg_wrk/BLD/bin/nemo.exe $modipsl/bin/opa.ESMCYCLE_${resol_oce}_${optmode}
+    if [ ${esmcycle} == y ]  ;  then 
+	mv $nemo_root/$cfg_wrk/BLD/bin/nemo.exe $modipsl/bin/opa.ESMCYCLE_${resol_oce}_${optmode}
     else
 	mv $nemo_root/$cfg_wrk/BLD/bin/nemo.exe $modipsl/bin/opa_${resol_oce}_${optmode}
@@ -370,33 +353,35 @@
 ## 2.6 Compile LMDZ for regular latlon configuration
 # If necessary compile INCA modele with AER configuration 
-if [ ${esmchem} == y ] ;  then 
-    cd $modipsl/modeles/INCA
-    #compile INCA regulat lat_lon chimie library 
-    echo; echo "NOW COMPILE INCA ${optchimie} on resolution = ${resol_atm}"
+cd $modipsl/modeles/INCA
+#compile INCA regulat lat_lon chimie library 
+echo; echo "NOW COMPILE INCA ${optchimie} on resolution = ${resol_atm}"
+
+if [ ${esmcycle} == y ]  ;  then 
+
+    echo ./makeinca_fcm -chimie ${optchimie} -cplocninca -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch} -arch_path $arch_path $full_flag $full_inca -cplocninca >> $outfile
+    ./makeinca_fcm -chimie ${optchimie} -cplocninca -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch} -arch_path $arch_path  $full_flag $full_inca -cplocninca >> $outfile 2>&1
+else
     echo ./makeinca_fcm -chimie ${optchimie} -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch} -arch_path $arch_path $full_flag $full_inca -cplocninca >> $outfile
-         ./makeinca_fcm -chimie ${optchimie} -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch} -arch_path $arch_path  $full_flag $full_inca -cplocninca >> $outfile 2>&1
-    
-    # Test if compiling finished
-    if [[ $? != 0 ]] ; then
-	echo "THERE IS A PROBLEM IN INCA COMPILATION - STOP"
-	exit
-    fi
-
-    echo "Move inca.dat modipsl/bin"
-    if [[ -f $modipsl/modeles/INCA/SIMULATIONS/$optchimie/inca.dat ]] ;  then  
-	mv $modipsl/modeles/INCA/SIMULATIONS/$optchimie/inca.dat $modipsl/bin/inca_${optchimie}.dat ;
-    else
-	echo "THERE IS A PROBLEM IN INCA COMPILATION - STOP"
-	exit	
-    fi
-
-    echo "Move tracer.def to  modipsl/bin"
-    if [[ -f $modipsl/modeles/INCA/tracer.def ]] ;  then
-        mv $modipsl/modeles/INCA/tracer.def $modipsl/bin/tracer_${optchimie}.def ;
-    fi
-
-
-    
-fi 
+    ./makeinca_fcm -chimie ${optchimie} -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch} -arch_path $arch_path  $full_flag $full_inca -cplocninca >> $outfile 2>&1
+fi
+	
+# Test if compiling finished
+if [[ $? != 0 ]] ; then
+    echo "THERE IS A PROBLEM IN INCA COMPILATION - STOP"
+    exit
+fi
+
+echo "Move inca.dat to modipsl/bin"
+if [[ -f $modipsl/modeles/INCA/SIMULATIONS/$optchimie/inca.dat ]] ;  then  
+    mv $modipsl/modeles/INCA/SIMULATIONS/$optchimie/inca.dat $modipsl/bin/inca_${optchimie}.dat ;
+else
+    echo "THERE IS A PROBLEM IN INCA COMPILATION - STOP"
+    exit	
+fi
+
+echo "Move tracer.def to modipsl/bin/tracer_${optchimie}.def"
+if [[ -f $modipsl/modeles/INCA/tracer.def ]] ; then
+   mv $modipsl/modeles/INCA/tracer.def $modipsl/bin/tracer_${optchimie}.def ;
+fi
 
 
@@ -431,12 +416,7 @@
 esac
 
-if [ ${esmchem} == n ] ;  then
-    echo ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true $opt_rad -$optmode -mem -parallel $parallel -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile
-         ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true $opt_rad -$optmode -mem -parallel $parallel -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 2>&1
-else
-    #in esm aer case add chemistry option to lmdz compilation
-    echo ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true $opt_rad -rrtm true -$optmode -mem -parallel $parallel -chimie INCA -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile
-         ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true $opt_rad -rrtm true -$optmode -mem -parallel $parallel -chimie INCA -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 2>&1
-fi
+# In ESM AER case add chemistry option to LMDZ compilation
+echo ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true $opt_rad -rrtm true -$optmode -mem -parallel $parallel -chimie INCA -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile
+./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true $opt_rad -rrtm true -$optmode -mem -parallel $parallel -chimie INCA -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 2>&1
 
 # Test if compiling finished
@@ -446,5 +426,4 @@
 fi
 
-
 # Move executables to modipsl/bin folder
 echo >> $outfile
@@ -454,22 +433,16 @@
 echo >> $outfile
 
-
 suffix=_${resol_atm}_phylmd
 suffix=${suffix}_${rad} 
 suffix=${suffix}_para_mem_orch_couple
-if [ ${esmchem} == n ] ;  then 
-    suffix=${suffix}.e
-else
-    suffix=${suffix}_inca.e
-fi
+suffix=${suffix}_inca.e
 
 echo gcm suffix = $suffix
 
 if [ -f $modipsl/modeles/LMDZ/bin/gcm${suffix} ] ;  then 
-    if [ ${esmchem} == n ] ;  then 
-	mv $modipsl/modeles/LMDZ/bin/gcm${suffix} $modipsl/bin/gcm_${resol_atm}_${optmode}.e
-    else
-	mv $modipsl/modeles/LMDZ/bin/gcm${suffix} $modipsl/bin/gcm_${resol_atm}_${optmode}_${optchimie}.e
-    fi
+    mv $modipsl/modeles/LMDZ/bin/gcm${suffix} $modipsl/bin/gcm_${resol_atm}_${optmode}_${optchimie}.e
+    cd $modipsl/bin
+    rm -f gcm_${resol_atm}_${optmode}.e
+    ln -s gcm_${resol_atm}_${optmode}_${optchimie}.e gcm_${resol_atm}_${optmode}.e
 else
     echo "ERROR gcm${suffix} executable does not exist." 
@@ -478,9 +451,5 @@
 fi  
 
-
-
-
-
-# Compile ce0l initialization program for LMDZ regular lat-lon exectuable
+# Compile ce0l initialization program for LMDZ regular lat-lon executable
 if [ $ce0l == y ] ; then
     echo; echo "NOW COMPILE CE0L OF LMDZ. Resolution = ${resol_atm}"
@@ -490,5 +459,5 @@
     ./makelmdz_fcm -d ${resol_atm} $opt_rad -$optmode -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz ce0l    >> $outfile 2>&1
 
-# 1er aout - remove xios from ce0l compilation #
+# 1er aout - remove XIOS from ce0l compilation #
 #    echo ./makelmdz_fcm -d ${resol_atm} $opt_rad -$optmode -io xios -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz ce0l    >> $outfile 
 #    ./makelmdz_fcm -d ${resol_atm} $opt_rad -$optmode -io xios -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz ce0l    >> $outfile 2>&1
@@ -499,5 +468,4 @@
 	exit
     fi
-
 
     # Move executables to modipsl/bin folder
